Please backport osm-gps-map 1.0.2-2 (universe) from vivid-proposed

Bug #1388215 reported by Ruben Undheim
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
utopic-backports
Undecided
Unassigned

Bug Description

Please backport osm-gps-map 1.0.2-2 (universe) from vivid to utopic.

Reason for the backport:
========================
First of all, the equivalent backport happened for trusty. And the same reasoning applies for utopic. See LP: #1336889

Version 1.0.2-2 of the osmgpsmap library has been updated to GTK3, as well as
the python bindings (gir package). The Gramps package has an optional Geography view which makes use of the new gir package. At the moment, Gramps users cannot use the Geography view in Utopic, because Utopic only contains the previous GTK2 package (python-osmgpsmap) which no longer works with Gramps which has been refactored to use GTK3.

Testing:
========
The testing went well when backported from utopic-proposed to trusty. However the testing procedure from that backport (LP: #1336889) is included below:

Mark off items in the checklist [X] as you test them, but please leave the checklist so that backporters can quickly evaluate the state of testing.

You can test-build the backport in your PPA with backportpackage:
$ backportpackage -u ppa:<lp username>/<ppa name> -s utopic -d trusty osm-gps-map

* trusty:
[x] Package builds without modification
[x] gir1.2-osmgpsmap-1.0 installs cleanly and runs
[x] libosmgpsmap-1.0-0 installs cleanly
[x] libosmgpsmap-1.0-dev installs cleanly
[x] libosmgpsmap-1.0-0-dbg installs cleanly and gdb loads the debug symbols without error

There are no reverse "build" dependencies as creepy and gpxviewer have been removed from Debian & Ubuntu, but the Geography View in Gramps (only recommends) now works fine.

affects: osm-gps-map (Ubuntu) → utopic-backports
description: updated
Revision history for this message
Felix Geyer (debfx) wrote :

Hm, the backport to trusty shouldn't have happened.
Now the version in utopic and vivid is smaller than the one in trusty-backports.

1.0.2-2 needs to migrate to vivid(-release) first.
Looks like it's blocked by creepy and gpxviewer.
Imho both should be removed from vivid(-release).

Revision history for this message
Ross Gammon (rosco2) wrote :

Yes - the problem is I forgot to ask for creepy, gpxviewer, and osmgpsmap 0.7.3 to be removed from utopic before the release. We should do that now for vivid before we get in the same mess.

Revision history for this message
Ross Gammon (rosco2) wrote :
Revision history for this message
Ross Gammon (rosco2) wrote :
Revision history for this message
Ross Gammon (rosco2) wrote :
Ross Gammon (rosco2)
description: updated
Ross Gammon (rosco2)
description: updated
Ross Gammon (rosco2)
description: updated
Ross Gammon (rosco2)
description: updated
description: updated
Changed in utopic-backports:
status: New → Confirmed
Revision history for this message
Micah Gersten (micahg) wrote :

This is no longer needed since utopic is EOL.

Changed in utopic-backports:
status: Confirmed → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers